Package org.springframework.cglib.core

# Class AbstractClassGenerator.ClassLoaderData

java.lang.Object
org.springframework.cglib.core.AbstractClassGenerator.ClassLoaderData

Enclosing class:
  AbstractClassGenerator<T>

protected static class AbstractClassGenerator.ClassLoaderData extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClassLoaderData(ClassLoader classLoader)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(AbstractClassGenerator gen, boolean useCache)`
`ClassLoader`
`getClassLoader()`
`Predicate`
`getUniqueNamePredicate()`
`void`
`reserveName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassLoaderData

public ClassLoaderData(ClassLoader classLoader)

## Method Details

### getClassLoader

public ClassLoader getClassLoader()

### reserveName

public void reserveName(String name)

### getUniqueNamePredicate

public Predicate getUniqueNamePredicate()

### get

public Object get(AbstractClassGenerator gen, boolean useCache)